.Modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    background-color: white;
    padding: 20px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    z-index: 1000;
  }
  
  .Overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999;
  }
  
  .modal-input {
    width: 350px;
    padding: 8px;
    margin-top: 10px;
    margin-bottom: 20px;
    box-sizing: border-box;
    border-radius: 4px;
    border: 1px solid #ccc;
  }
  
  .modal-button {
    padding: 10px 20px;
    margin-right: 10px;
    color: #fff;
    background-color: #007bff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
  }
  
  .modal-button:hover {
    background-color: #0056b3;
  }
  
  .modal-button.cancel {
    background-color: #6c757d;
  }
  
  .modal-button.cancel:hover {
    background-color: #545b62;
  }

  .url-cell {
    max-width: 300px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  
  .action-buttons {
    display: flex;
    justify-content: start;
    gap: 5px;
  }
  
  .btn-sm {
    padding: 0.25rem 0.5rem;
  }
  